Subject: UKTeX Digest V94 #01
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 07 Jan 1994 18:01:32 +0000

UKTeX Digest    Friday,  7 Jan 1994    Volume 94 : Issue 01

   ``The UKTeX Digest is brought to you as a free, unfunded and voluntary
        service of the UK TeX Users Group and the UK TeX Archive.''

Today's Topics:
 {Questions & Answers}:
       Filename compatibility between Unix TeX and Mac Textures
                          AMS-TeX amsppt.sty

Administrivia:
    Moderators:     Peter Abbott (Aston University) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Administration, subscription and unsubscription requests:
                    [email-masked]

----------------------------------------------------------------------

Date:    Sun, 02 Jan 1994 13:38:30 -0500
From:    shay <[email-masked]>
Subject: Filename compatibility between Unix TeX and Mac Textures

I use both unix La/TeX and TeXtures on a Mac. I'd like to be able to
move input files between the machines without having to edit pathnames
in \input and \epsfbox commands. Of course, unix uses / and the Mac
uses : in pathnames. I'd like to be able to say something like
\platform={unix or mac} in my main file and have a macro that handles
pathnames appropriately. Has anyone solved this problem? Thanks.

Tom Shay
University of North Carolina
[email-masked]

------------------------------

Date:    Fri, 07 Jan 1994 10:59:45 +0000
From:    [email-masked]
Subject: AMS-TeX amsppt.sty

I have a question about the use of the AMS-TeX amsppt.sty option:

We have Decus TeX (PD VMS 3.3) on out VMS (5.5-2) machine.
AMS-TeX is set up as VMS DCL command verb.

When we try and use the amsppt style in AMS-TeX it gags on the i/p file:

\documentstyle{amsappt}
\document
.....
.....
\enddocument

The error message is:
  This is TeX, Version 3.1 [PD VMS 3.3/DECUS] (preloaded format=plain 90.8.25)
  ($1$DIA4:[CSE.0020201S.USERS.0000002E]ELLONE.TEX;33

  AmS-TeX - Version 2.0

  COPYRIGHT 1985, 1990 - AMERICAN MATHEMATICAL SOCIETY
  Use of this macro package is not restricted provided
  each use is acknowledged upon publication.

  (TEX_ROOT:[INPUTS]AMSPPT.STY;1
  ! Undefined control sequence.
  l.109 \footmarkcount@
                       \z@
  ?

(If one proceeds it also gags on \tenpoint:

  ...more errors with footnote....

  ! Undefined control sequence.
  \tenpoint ...p 7\p@ plus3\p@ minus4\p@ \textfont@
                                                  \rm \tenrm \textfont@ \it ...
  l.487 \tenpoint
)

Being more used to LaTeX I am baffled by this and would appreciate any help.
At first glance it seems the style file is incompatible with AMS-TeX, what
is much more likely, I feel, is that I am missing some definitions required
before I can use the style files.

Another possibility is that this STY file is incorrect (possibly the
AMS-LaTeX version overwrote the AMS-TeX one?)  I went to download a
new copy from the archive but the distribution does not indicate which
files are in the VMS backup archives, so I thought I'd ask first.

(When investigating this problem I was confused by the difference
between AMS-TeX and AMS-LaTeX.  I believe We are using the former.
From my reading of the documentation with AMS-LaTeX there is no
amsppt.sty file which could have overwritten the original.)

Thanks, Micheal

------------------------------
                                        
                       UK TeX ARCHIVE at ASTON UNIVERSITY
                              >>>  UK.AC.TEX  <<<
                                        
                  *** Interactive and file transfer access ***
                                     JANET:
                          uk.ac.tex (DTE 000020120091)
                       Username: public, Password: public
                                   Internet:
              tex.ac.uk [134.151.79.28] -- telnet/rlogin, anonymous ftp
             ftp.tex.ac.uk [134.151.79.32] -- anonymous ftp, gopher, NFS
               For telnet access, login: public, password: public
      For anonymous ftp, login: anonymous, password: <your-e-mail-address>
                                        
                              *** Mail server ***
                    Send mail to [email-masked] (JANET)
                   or [email-masked] (rest of the world)
                   with message body containing the word HELP
                                        
\section FILES OF INTEREST

    [tex-archive]00readme.txt
    [tex-archive]00index.files        [tex-archive]0000index.zip_vve
    [tex-archive]00last7days.files    [tex-archive]00last7days.zip_vve
    [tex-archive]00last30days.files   [tex-archive]00last30days.zip_vve

    [tex-archive.doc]TeX-FAQ.txt    (Frequently Asked Questions list)
    [tex-archive.doc]FAQ-Supplement-*.txt    (FAQ supplement)

\section DIGESTS

    This year's UKTeX back issues are stored in the archive in directory
      [tex-archive.digests.uktex.93]
    This year's TeXhax back issues are stored in the archive in directory
      [tex-archive.digests.texhax.93]
      Latest TeXhax: V93 #17

\section MEDIA DISTRIBUTIONS
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

       One Quarter-Inch Cartridge, QIC-120 or QIC-150 format (DC600A or DC6150)
       sent with envelope AND stamps for return postage to **Nottingham**
       (Due to currency exchange, this service is offered only within the UK)

\section TeX IMPLEMENTATIONS FOR SMALL COMPUTERS

\subsection OzTeX for Macintosh
    No longer distributed on disk from Aston, though it continues
    to be available in the Archive for network access.

    Available on disk from TeX Users Group; mail TUG for details.

\subsection emTeX (for OS/2, PC-DOS and MS-DOS)
    For general enquiries, and a free catalogue detailing other disk 
    formats, precompiled fonts and lots of other goodies, contact:
    Eigen PD Software, P.O. Box 722, Swindon SN2 6YB  (Phone: 0793-611270)
    JANET: [email-masked]   Internet: [email-masked]

    Also available on disk from TeX Users Group; mail TUG for details.

\subsection TeX for the Atari ST
    All enquiries for disks etc. should be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    JANET: [email-masked]   Internet: [email-masked]

\section POSTAGE RATES
    Quarter-inch cartridges:
            UK: 1.00,  Europe: 2.00.

\section POSTAL ADDRESSES
    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    Information Systems, Aston University, Aston Triangle, Birmingham B4 7ET
    JANET: [email-masked]   Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Quarter-inch cartridges ONLY -- must include stamps for return postage)
    JANET: [email-masked]
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX USERS GROUP
    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    JANET: [email-masked]
    Internet: [email-masked]

\bye

End of UKTeX Digest [Volume 94 Issue 1]
***************************************